0

How to install TCP Wrappers using the appropriate package manager? When I run pkgtool, I can see in the list that tcp_wrappers is included tcp_wrappers-7.6-x86_64-1. I want to install it.

I tried the command below, with no luck.

 installpkg tcp_wrappers-7.6-x86_64-1.tgz

Whenever I run the command above, it says

 Cannot install, file not found.

So I navigated to /var/log/packages, where the list of Slackware packages are listed and I found the tcp_wrappers-7.6-x86_64-1 file. So what I did is:

mv tcp_wrappers-7.6-x86_64-1 tcp_wrappers-7.6-x86_64-1.tgz
installpkg tcp_wrappers-7.6-x86_64-1.tgz

The prompt message is :

Verifying package tcp_wrappers-7.6-x86_64-1.tgz
gzip : stdin : not in gzip format
Installing package tcp_wrappers-7.6-x86_64-1.tgz:
PACKAGE DESCRIPTION:
WARNING: Package has not been created with 'makepkg'
Package tcp_wrappers-7.6-x86_64-1.tgz installed.

After, I verified whether the tcp_wrappers is already installed using the commands below, with no luck.

rpm -q tcp_wrappers
rpm -q tcp_wrappers-7.6-x86_64-1
rpm -q tcp_wrappers-7.6-x86_64-1.tgz

It just say:

package tcp_wrappers is not installed 
package tcp_wrappers-7.6-x86_64-1 is not installed
package tcp_wrappers-7.6-x86_64-1.tgz is not installed

What shall I do?

  • 1
    it seems from gzip : stdin : not in gzip format that the tgz file you have is not in the correct format; try download it again? – Jeff Schaller Mar 4 at 14:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.